# App kill background

An action block that terminates any running background processes (services) of an app.

The fiber will proceed immediately without pause.

This block only terminate processes that are safe to kill and that will not impact the user experience, use the App kill block to kill all processes of a running app. Processes and app “tasks” aren’t the same thing, this means that a killed app may still show up in the list of “recent” apps.

An alternative to this block is to use the Shell command privileged, ADB shell command or Shell command superuser block to execute: `am kill <package>`, see Android documentation.

Note! This feature isn’t officially supported since Android 14, may not work on higher versions.

## Input arguments

- Package — package name of the app to terminate.